Skip to main content
GET
/
rest
/
profile
Get user profile
curl --request GET \
  --url https://mcp.arlohealth.ai/rest/profile \
  --header 'Authorization: Bearer <token>'
{
  "accountId": "<string>",
  "status": "ONBOARDED",
  "billingMode": "NONE",
  "paymentStatus": "PENDING",
  "patients": [
    {
      "patientId": "<string>",
      "firstName": "<string>",
      "lastName": "<string>",
      "displayName": "<string>",
      "gender": "Female",
      "phone": "<string>",
      "email": "jsmith@example.com",
      "birthDate": {
        "year": 123,
        "month": 123,
        "day": 123
      },
      "isDefault": true,
      "address": "<string>",
      "city": "<string>",
      "province": "<string>",
      "country": "CA",
      "zip": "<string>",
      "healthNumber": "<string>",
      "medications": [
        {
          "title": "<string>",
          "description": "<string>"
        }
      ],
      "conditions": [
        {
          "title": "<string>",
          "description": "<string>"
        }
      ],
      "allergies": [
        {
          "title": "<string>",
          "severity": "<string>"
        }
      ]
    }
  ],
  "onboardingComplete": true
}

Authorizations

Authorization
string
header
required

OAuth 2.1 with PKCE

Response

User profile

accountId
string
status
enum<string>
Available options:
ONBOARDED,
REGISTERED,
CREATED
billingMode
enum<string>
Available options:
NONE,
PAY_AS_YOU_GO,
SUBSCRIPTION
paymentStatus
enum<string>
Available options:
PENDING,
ACTIVE,
FAILED,
CANCELLED,
ACTIVE_UNTIL_EXPIRY
patients
object[]
onboardingComplete
boolean